Cyberduck Mountain Duck CLI

#5439 closed defect (wontfix)

No warning when overwriting files on case-insensitive systems

Reported by: jdbaum Owned by:
Priority: normal Milestone:
Component: core Version: 3.7
Severity: normal Keywords:
Cc: Architecture: Intel
Platform: Mac OS X 10.6

Description

If I have a file on the server called "SAMPLE.doc" and attempt to upload "sample.doc", Cyberduck does not warn me that the file exists before overwriting it. It simply does the overwrite. The case of the server file does not change after the overwrite, though. It seems to happen if any characters do not match in case. If I change the local file name to match the case of the server file, it shows the warning properly.

Change History (3)

comment:1 Changed on Dec 3, 2010 at 10:17:19 PM by dkocher

We make the assumption that the host has a case sensitive file system.

comment:2 Changed on Dec 10, 2010 at 4:48:37 PM by dkocher

  • Summary changed from Case not considered when overwriting files to No warning when overwriting files on case-insensitive systems

comment:3 Changed on Nov 26, 2012 at 3:58:11 PM by dkocher

  • Resolution set to wontfix
  • Status changed from new to closed
Note: See TracTickets for help on using tickets.
swiss made software